# Get System Info

> Channels API · System

```http
GET /api/channel-system/
```

Get device identity: software version, serial number, hardware model.

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Example request

```bash
curl -X GET "/api/channel-system/" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — Successful Response

- `data` · object · **Required** — Device identity fields.
  - `softwareVersion` · object · Optional
    - One of the following variants:
      - **string** (string)
      - **null** (null)
  - `softwareName` · object · Optional
    - One of the following variants:
      - **string** (string)
      - **null** (null)
  - `serialNumber` · object · Optional
    - One of the following variants:
      - **string** (string)
      - **null** (null)
  - `hardwareModel` · object · Optional
    - One of the following variants:
      - **string** (string)
      - **null** (null)

Example:

```json
{
  "data": {
    "softwareVersion": "string",
    "softwareName": "string",
    "serialNumber": "string",
    "hardwareModel": "string"
  }
}
```

---

Source spec: `channels-api` · operationId: `get_system_info_system__get`
